! { dg-do compile }
! { dg-options "-fno-automatic -frecursive -Wno-overwrite-recursive" }
!
! Test case contributed by Mark Eggleston  <mark.eggleston@codethink.com>
!

program test
  ! do nothing
end program

